import request from '@/utils/request'
const service_name = "oil-finance" 
const order_name = 'xoilUreaOrder'
const other_name = 'oilCustomerCompanyAccount'
const Relation_name = 'xoilUreaOrderRelation'
export default {
	//查询未支付订单
	findUnpaidOrders(id) {
		return request({
			url: `/${service_name}/${order_name}/findUnpaidOrders?driverId=${id}`,
			method: 'get' 
		})
	},
	//生成预支付订单
	prepaidOrderGeneration(data) {
		return request({
			url: `/${service_name}/${order_name}/prepaidOrderGeneration`,
			method: 'post' ,
			data:data
		})
	},
	//查询是否挂抢加注成功
	queryWhetherToHangUp(orderId) {
		return request({
			url: `/${service_name}/${order_name}/queryWhetherToHangUp?orderId=${orderId}`,
			method: 'get'  
		})
	},
	//查询订单详情 
	findOneByOrderId(id) {
		return request({
			url: `/${service_name}/${order_name}/findOneByOrderId?orderId=${id}`,
			method: 'get' 
		})
	},//订单支付接口 
	orderPay(data) {
		return request({
			url: `/${service_name}/${order_name}/orderPay`,
			method: 'post' ,
			data:data
		})
	},
	//取消订单 支付失败调用
	cancelTheOrder(id) {
		return request({
			url: `/${service_name}/${order_name}/cancelTheOrder?orderId=${id}`,
			method: 'get' 
		})
	},
	//取消订单 支付失败调用
	findUreaAccount(id) {
		return request({
			url: `/${service_name}/${other_name}/findUreaAccount?customerId=${id}`,
			method: 'get' 
		})
	},
	//生成桶装预支付订单
	generateBarrelOrders(data) {
		return request({
			url: `/${service_name}/${Relation_name}/generateBarrelOrders`,
			method: 'post' ,
			data:data
		})
	},
}